package com.ruoyi.project.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 tp_parabar_detail
 *
 * @author ruoyi
 * @date 2024-04-28
 */
@Data
public class TpParabarDetail extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;

    /**
     * 参数包ID
     */
    @Excel(name = "参数包ID")
    private Long parabarId;

    /**
     * 参数包配置名称
     */
    @Excel(name = "参数包配置名称")
    private String parabarDetailName;

    @TableField("parabar_detail_nameUS")
    private String parabarDetailNameUS;

    @TableField("parabar_detail_nameRU")
    private String parabarDetailNameRU;

    @TableField("parabar_detail_nameES")
    private String parabarDetailNameES;

    /**
     * 配置排序
     */
    @Excel(name = "配置排序")
    private Long sortNumber;

    /**
     * 状态（0：启用  1：停用）
     */
    @Excel(name = "状态", readConverterExp = "0=：启用,1=：停用")
    private String status;

    @TableField(exist = false)
    private String file;

    @TableField(exist = false)
    private Long fileId;

    /**
     * 删除标记（0：未删除  1：已删除）
     */
    private String delFlag;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parabarId", getParabarId())
            .append("parabarDetailName", getParabarDetailName())
            .append("parabarDetailNameUS", getParabarDetailNameUS())
            .append("parabarDetailNameRU", getParabarDetailNameRU())
            .append("parabarDetailNameES", getParabarDetailNameES())
            .append("sortNumber", getSortNumber())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
